Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2770 - initrd options with mkinitrd and mkbootdisk
Summary: initrd options with mkinitrd and mkbootdisk
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-12 18:14 UTC by Cristian Gafton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 19:32:49 UTC


Attachments (Terms of Use)

Description Cristian Gafton 1999-05-12 18:14:27 UTC
I needed to build an initrd image and a complementary boot
disk with
support for my scsi card and for raid0. In the process I
noticed that
mkinitrd and mkbootdisk work slightly differently and don't
agree
completely with their respective man pages.


Man page for mkinitrd

mkinitrd [-fv] [--with=module] [--preload=module]
         [--omit-scsi-modules] [--version] image
         kernel-version

when executing program however it seems to prefer "--with
module" (in my
case --with raid0)


while man page for mkbootdisk says

mkbootdisk [--version] [--noprompt] [--verbose]
           [--mkinitrdargs <args>] [--device <devicefile>]
            <kernel>

When executing mkbootdisk I found that I needed to specify
the initrd
options as "--mkinitrdargs --with=module" (here I used
--mkinitrdargs
--with=raid0)

Comment 1 Michael K. Johnson 1999-07-29 19:32:59 UTC
mkinitrd accepts both --with=foo and --with foo; it always has
(according to my reading of our version control logs) and
I just tested to make sure that it works.


Note You need to log in before you can comment on or make changes to this bug.